import * as core from "@terrascript/core";

export interface HostedZoneDnssecArgs extends core.ResourceArgs {
  hostedZoneId: string | core.StringOut;

  signingStatus?: string | core.StringOut;
}

export class HostedZoneDnssec extends core.Resource<HostedZoneDnssecArgs> {
  @core.attr(String)
  public hostedZoneId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public signingStatus?: string | core.StringOut;

  constructor(name: string, args?: HostedZoneDnssecArgs) {
    super(name, "aws_route53_hosted_zone_dnssec", args);
  }

  public override getNamespace(): string {
    return "aws_route53";
  }
}
